: Class FileAttribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources
Class FileAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.SimpleAttribute
                  |
                  +--org.w3c.tools.resources.FileAttribute

public class FileAttribute
extends SimpleAttribute

The generic description of an FileAttribute.

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`FileAttribute()`
`FileAttribute(java.lang.String name, java.io.File def, int flags)`

Method Summary
`boolean` | `checkValue(java.lang.Object obj)` Is the given object a valid FileAttribute value ?
`java.lang.String` | `pickle(java.lang.Object obj)` Pickle an integer to the given output stream.
`java.lang.Object` | `unpickle(java.lang.String value)` Unpickle an integer from the given input stream.

Methods inherited from class org.w3c.tools.resources.SimpleAttribute
`stringify`

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, getDefault, getFlag, getName, getType, setFlag, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileAttribute

    public FileAttribute(java.lang.String name,
                         java.io.File def,
                         int flags)

### FileAttribute

    public FileAttribute()

Method Detail

### checkValue

    public boolean checkValue(java.lang.Object obj)

  Is the given object a valid FileAttribute value ?
  Overrides:
    checkValue in class Attribute
  Parameters:
    `obj` - The object to test.
  Returns:
    A boolean true if okay.

### pickle

    public java.lang.String pickle(java.lang.Object obj)

  Pickle an integer to the given output stream.
  Overrides:
    pickle in class SimpleAttribute
  Parameters:
    `obj` - The object to pickle.

### unpickle

    public java.lang.Object unpickle(java.lang.String value)

  Unpickle an integer from the given input stream.
  Overrides:
    unpickle in class SimpleAttribute
  Parameters:
    `value` - the string representation of this integer
  Returns:
    An instance of Integer.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD